> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axisfi.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deposit Details

> Get a specific transaction by specifying the (Id).



## OpenAPI

````yaml /openapi.json get /api/transactions/deposit/detail
openapi: 3.0.1
info:
  title: AxisFi API 接口文档
  description: 认证需同时提供 API Key 和 Secret
  version: v1.0.0
servers:
  - url: http://127.0.0.1:8083
    description: Generated server url
security:
  - X-API-Key: []
    X-API-Secret: []
paths:
  /api/transactions/deposit/detail:
    get:
      tags:
        - Transactions
      summary: Get Deposit Details
      description: Get a specific transaction by specifying the (Id).
      operationId: depositDetail
      parameters:
        - name: partner_transaction_id
          in: query
          description: Partner Transaction Id
          required: false
          schema:
            type: string
        - name: transaction_id
          in: query
          description: Transaction Id
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Operation Successful
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DepositDetailsRespVo'
        '400':
          description: Invalid Parameter
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '403':
          description: Forbidden (No Permission)
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '404':
          description: Not Found
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '405':
          description: Method Not Allowed
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorRespVo'
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
components:
  schemas:
    DepositDetailsRespVo:
      required:
        - account_currency
        - amount
        - partner_transaction_id
      type: object
      properties:
        transaction_id:
          type: string
          description: Unique Transaction ID
          example: txn_d74ee9e30d3345fcba469e282450783a
        transaction_type:
          type: string
          description: Transaction Type
          enum:
            - deposit
        partner_transaction_id:
          maxLength: 64
          minLength: 20
          type: string
          description: Partner Transaction Id
        source_wallet_address:
          type: string
          description: Source Wallet Address
          example: '0x94a84aBd3198874A84f4a61083c52Ed7eE61077f'
        target_wallet_address:
          type: string
          description: Target Wallet Address
          example: '0x94a84aBd3198874A84f4a61083c52Ed7eE61077f'
        network:
          type: string
          description: Network
          example: ETH
          enum:
            - ETH
            - TRX
        account_currency:
          type: string
          description: Account Currency
          example: USDT
          enum:
            - USDT
            - USDC
            - USD
        amount:
          maximum: 100000000
          minimum: 0.01
          type: number
          description: Amount
          format: decimal
          example: 99.99
        status:
          type: string
          description: Status
          example: completed
          enum:
            - pending
            - completed
            - failed
        created_at:
          type: string
          format: date-time
        audit_at:
          type: string
          format: date-time
        completed_at:
          type: string
          format: date-time
    ErrorRespVo:
      type: object
      properties:
        errors:
          type: array
          description: 错误信息列表
          items:
            $ref: '#/components/schemas/ErrorDetailRespVo'
      description: 错误响应结果
    ErrorDetailRespVo:
      type: object
      properties:
        detail:
          type: string
          description: 错误详细描述
          example: Invalid organizationId
        code:
          type: string
          description: 错误码
          example: ORG_ID_INVALID
      description: 错误详情
  securitySchemes:
    X-API-Key:
      type: apiKey
      description: Includes an API key in the HTTP headers to authenticate the client.
      name: X-API-Key
      in: header
    X-API-Secret:
      type: apiKey
      description: Includes an API secret in the HTTP headers to authenticate the client.
      name: X-API-Secret
      in: header

````